store | blogs | forums | twitter | facebook | wiki | downloads | support portal
Atomic Secure Linux
It is currently Sun Dec 21, 2014 5:31 pm

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]




Post new topic Reply to topic  [ 82 posts ]  Go to page Previous  1, 2, 3, 4, 5, 6
Author Message
 Post subject: Re: [atomic] Openvas 4.x Updates
Unread postPosted: Wed Mar 14, 2012 12:26 pm 
Offline
Forum User
Forum User

Joined: Thu Nov 12, 2009 9:01 am
Posts: 42
organicspider wrote:
Attempted to install and GSAD does not start. On checking in gsad.log I see
Code:
gsad main:CRITICAL:2011-03-23 16h37.28 utc :30903: main: MHD_start_daemon failed!
and port 9392 is never bound to. The only other message I see was
Code:
Starting greenbone-security-assistant: MHD HTTPS option 8 passed to MHD compiled without HTTPS support


http://comments.gmane.org/gmane.comp.se ... users/3272

Its a long time ago, but I was wondering if this could be fixed in the libmicrohttp package since:

a) a lot of users/admins run Red Hat
b) dont want to compile from source (to easily upgrade their packages whenever their is a security fix)
c) dont want to get through the dependency hell (openssl-devel etc.)
d) atomic is the only known documented repo for openvas on RHEL/CentOS

It would help a lot of people! :)

I know I can :

-install stunnel,nginx or apache as an ssl proxy in front of it
- build libmicrohttp from source

but that sounds ugly and fixing it in the rpm would be really really really helpfull to a lot of people including me :)

Or is there a fix already for this 'build without -HTTPS support for libmicrohttp' ?


Last edited by xmichielx on Wed Mar 14, 2012 12:49 pm, edited 1 time in total.

Top
 Profile  
 
 Post subject: Re: [atomic] Openvas 4.x Updates
Unread postPosted: Wed Mar 14, 2012 12:49 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7964
Location: earth
Are you on el5 or el6? Can you check to see whose libmicrohttpd you're using?


Top
 Profile  
 
 Post subject: Re: [atomic] Openvas 4.x Updates
Unread postPosted: Thu Mar 15, 2012 4:51 am 
Offline
Forum User
Forum User

Joined: Thu Nov 12, 2009 9:01 am
Posts: 42
Hi Scott,

RHEL 5(8) x86_64.
Using only RHEL Base and your atomic repo:

[vanesmic@prod-vulnscan-001 ~]$ rpm -qa | grep libmicrohttp
libmicrohttpd-0.9.7-1.el5.art


Top
 Profile  
 
 Post subject: Re: [atomic] Openvas 4.x Updates
Unread postPosted: Wed Apr 25, 2012 2:22 am 
Offline
Forum User
Forum User

Joined: Thu Nov 12, 2009 9:01 am
Posts: 42
Hi Scott/Atomic,

Today I ran a yum -y update and there were some openvas updates but they fail of missing libraries (CentOS 6.2 64 bit):

Code:
[root@VZ-ID-183 pgsql]# yum -y update
Loaded plugins: fastestmirror, priorities                                                                                                                                                       
Loading mirror speeds from cached hostfile                                                                                                                                                     
 * atomic: www7.atomicorp.com                                                                                                                                                                   
 * base: nl.mirror.eurid.eu                                                                                                                                                                     
 * epel: nl.mirror.eurid.eu                                                                                                                                                                     
 * extras: nl.mirror.eurid.eu                                                                                                                                                                   
 * updates: nl.mirror.eurid.eu                                                                                                                                                                 
486 packages excluded due to repository priority protections                                                                                                                                   
Setting up Update Process                                                                                                                                                                       
Resolving Dependencies                                                                                                                                                                         
--> Running transaction check                                                                                                                                                                   
---> Package greenbone-security-assistant.x86_64 0:2.0.1-3.el6.art will be updated                                                                                                             
---> Package greenbone-security-assistant.x86_64 0:3.0.0-1.el6.art will be an update                                                                                                           
--> Processing Dependency: libopenvas_omp.so.5()(64bit) for package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64                                                                       
--> Processing Dependency: libopenvas_base.so.5()(64bit) for package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64                                                                       
--> Processing Dependency: libopenvas_hg.so.5()(64bit) for package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64                                                                         
--> Processing Dependency: libopenvas_nasl.so.5()(64bit) for package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64                                                                       
--> Processing Dependency: libopenvas_misc.so.5()(64bit) for package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64                                                                       
---> Package openvas-administrator.x86_64 0:1.1.2-1.el6.art will be updated
---> Package openvas-administrator.x86_64 0:1.2.0-1.el6.art will be an update
--> Processing Dependency: libopenvas_base.so.5()(64bit) for package: openvas-administrator-1.2.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_omp.so.5()(64bit) for package: openvas-administrator-1.2.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_nasl.so.5()(64bit) for package: openvas-administrator-1.2.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_hg.so.5()(64bit) for package: openvas-administrator-1.2.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_misc.so.5()(64bit) for package: openvas-administrator-1.2.0-1.el6.art.x86_64
---> Package openvas-manager.x86_64 0:2.0.4-3.el6.art will be updated
---> Package openvas-manager.x86_64 0:3.0.0-1.el6.art will be an update
--> Processing Dependency: libopenvas_base.so.5()(64bit) for package: openvas-manager-3.0.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_omp.so.5()(64bit) for package: openvas-manager-3.0.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_nasl.so.5()(64bit) for package: openvas-manager-3.0.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_hg.so.5()(64bit) for package: openvas-manager-3.0.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_misc.so.5()(64bit) for package: openvas-manager-3.0.0-1.el6.art.x86_64
--> Finished Dependency Resolution
Error: Package: openvas-manager-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_hg.so.5()(64bit)
Error: Package: openvas-administrator-1.2.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_nasl.so.5()(64bit)
Error: Package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_base.so.5()(64bit)
Error: Package: openvas-administrator-1.2.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_hg.so.5()(64bit)
Error: Package: openvas-manager-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_nasl.so.5()(64bit)
Error: Package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_hg.so.5()(64bit)
Error: Package: openvas-manager-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_omp.so.5()(64bit)
Error: Package: openvas-manager-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_misc.so.5()(64bit)
Error: Package: openvas-manager-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_base.so.5()(64bit)
Error: Package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_omp.so.5()(64bit)
Error: Package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_misc.so.5()(64bit)
Error: Package: openvas-administrator-1.2.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_base.so.5()(64bit)
Error: Package: openvas-administrator-1.2.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_omp.so.5()(64bit)
Error: Package: openvas-administrator-1.2.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_misc.so.5()(64bit)
Error: Package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_nasl.so.5()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Is something missing in the package updates?


Top
 Profile  
 
 Post subject: Re: [atomic] Openvas 4.x Updates
Unread postPosted: Wed Apr 25, 2012 12:36 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7964
Location: earth
Try it now, I think maybe your metadata was cached


Top
 Profile  
 
 Post subject: Re: [atomic] Openvas 4.x Updates
Unread postPosted: Thu Apr 26, 2012 4:09 am 
Offline
Forum User
Forum User

Joined: Thu Nov 12, 2009 9:01 am
Posts: 42
Hi Scott,

I clean the yum cache but still no go:
Code:
[root@VZ-ID-183 mve]# yum clean all && yum -y update
Loaded plugins: fastestmirror, priorities
Cleaning repos: atomic base cr epel extras updates
Cleaning up Everything
Cleaning up list of fastest mirrors
Loaded plugins: fastestmirror, priorities
Determining fastest mirrors
epel/metalink                                                                                                                                                            |  17 kB     00:00     
 * atomic: www7.atomicorp.com
 * base: mirror.denit.net
 * epel: nl.mirror.eurid.eu
 * extras: mirror.denit.net
 * updates: mirror.denit.net
atomic                                                                                                                                                                   | 1.9 kB     00:00     
atomic/primary_db                                                                                                                                                        | 368 kB     00:00     
base                                                                                                                                                                     | 3.7 kB     00:00     
base/primary_db                                                                                                                                                          | 4.5 MB     00:00     
cr                                                                                                                                                                       | 3.0 kB     00:00     
cr/primary_db                                                                                                                                                            | 1.2 kB     00:00     
epel                                                                                                                                                                     | 4.0 kB     00:00     
epel/primary_db                                                                                                                                                          | 4.3 MB     00:00     
extras                                                                                                                                                                   | 3.5 kB     00:00     
extras/primary_db                                                                                                                                                        | 6.3 kB     00:00     
updates                                                                                                                                                                  | 3.5 kB     00:00     
updates/primary_db                                                                                                                                                       | 2.9 MB     00:00     
486 packages excluded due to repository priority protections
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package greenbone-security-assistant.x86_64 0:2.0.1-3.el6.art will be updated
---> Package greenbone-security-assistant.x86_64 0:3.0.0-1.el6.art will be an update
--> Processing Dependency: libopenvas_omp.so.5()(64bit) for package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_base.so.5()(64bit) for package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_hg.so.5()(64bit) for package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_nasl.so.5()(64bit) for package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_misc.so.5()(64bit) for package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64
---> Package libpng.i686 2:1.2.48-1.el6_2 will be updated
---> Package libpng.x86_64 2:1.2.48-1.el6_2 will be updated
---> Package libpng.i686 2:1.2.49-1.el6_2 will be an update
---> Package libpng.x86_64 2:1.2.49-1.el6_2 will be an update
---> Package openssl.x86_64 0:1.0.0-20.el6_2.3 will be updated
---> Package openssl.x86_64 0:1.0.0-20.el6_2.4 will be an update
---> Package openssl-devel.x86_64 0:1.0.0-20.el6_2.3 will be updated
---> Package openssl-devel.x86_64 0:1.0.0-20.el6_2.4 will be an update
---> Package openvas-administrator.x86_64 0:1.1.2-1.el6.art will be updated
---> Package openvas-administrator.x86_64 0:1.2.0-1.el6.art will be an update
--> Processing Dependency: libopenvas_base.so.5()(64bit) for package: openvas-administrator-1.2.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_omp.so.5()(64bit) for package: openvas-administrator-1.2.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_nasl.so.5()(64bit) for package: openvas-administrator-1.2.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_hg.so.5()(64bit) for package: openvas-administrator-1.2.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_misc.so.5()(64bit) for package: openvas-administrator-1.2.0-1.el6.art.x86_64
---> Package openvas-manager.x86_64 0:2.0.4-3.el6.art will be updated
---> Package openvas-manager.x86_64 0:3.0.0-1.el6.art will be an update
--> Processing Dependency: libopenvas_base.so.5()(64bit) for package: openvas-manager-3.0.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_omp.so.5()(64bit) for package: openvas-manager-3.0.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_nasl.so.5()(64bit) for package: openvas-manager-3.0.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_hg.so.5()(64bit) for package: openvas-manager-3.0.0-1.el6.art.x86_64
--> Processing Dependency: libopenvas_misc.so.5()(64bit) for package: openvas-manager-3.0.0-1.el6.art.x86_64
--> Finished Dependency Resolution
Error: Package: openvas-manager-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_hg.so.5()(64bit)
Error: Package: openvas-administrator-1.2.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_nasl.so.5()(64bit)
Error: Package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_base.so.5()(64bit)
Error: Package: openvas-administrator-1.2.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_hg.so.5()(64bit)
Error: Package: openvas-manager-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_nasl.so.5()(64bit)
Error: Package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_hg.so.5()(64bit)
Error: Package: openvas-manager-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_omp.so.5()(64bit)
Error: Package: openvas-manager-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_misc.so.5()(64bit)
Error: Package: openvas-manager-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_base.so.5()(64bit)
Error: Package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_omp.so.5()(64bit)
Error: Package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_misc.so.5()(64bit)
Error: Package: openvas-administrator-1.2.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_base.so.5()(64bit)
Error: Package: openvas-administrator-1.2.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_omp.so.5()(64bit)
Error: Package: openvas-administrator-1.2.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_misc.so.5()(64bit)
Error: Package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_nasl.so.5()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Last edited by xmichielx on Thu May 03, 2012 3:50 am, edited 1 time in total.

Top
 Profile  
 
 Post subject: Re: [atomic] Openvas 4.x Updates
Unread postPosted: Thu May 03, 2012 3:50 am 
Offline
Forum User
Forum User

Joined: Thu Nov 12, 2009 9:01 am
Posts: 42
Hi Scott,

You got any clue what I need to do to fix this?
Yum can not find the package that is needed:
Code:
Error: Package: greenbone-security-assistant-3.0.0-1.el6.art.x86_64 (atomic)
           Requires: libopenvas_nasl.so.5()(64bit)

[root@VZ-ID-183 mve]# yum whatprovides "*/libopenvas_nasl.so."
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
 * atomic: www7.atomicorp.com
 * base: mirror.denit.net
 * epel: nl.mirror.eurid.eu
 * extras: mirror.denit.net
 * updates: mirror.denit.net
486 packages excluded due to repository priority protections
No Matches found


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 82 posts ]  Go to page Previous  1, 2, 3, 4, 5, 6

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group